package com.ruoyi.invest.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
/**
 * 征信报告查询记录对象 credit_report_query_record
 *
 * @author tianyongbao
 * @date 2024-03-20
 */
@ApiModel("征信报告查询记录对象")
@Data
public class CreditReportQueryRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 查询机构 */
    @ApiModelProperty(value="查询机构")
    @Excel(name = "查询机构")
    private String queryInstitution;

    /** 查询原因 */
    @ApiModelProperty(value="查询原因")
    @Excel(name = "查询原因")
    private String type;

    /** 查询次数 */
    @ApiModelProperty(value="查询次数")
    @Excel(name = "查询次数")
    private int queryCount;

    /** 查询类型 */
    @ApiModelProperty(value="查询类型")
    @Excel(name = "查询类型")
    private String queryType;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    /** 查询日期 */
    @ApiModelProperty(value="查询日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "查询日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date queryDate;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("queryInstitution", getQueryInstitution())
            .append("type", getType())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("remark", getRemark())
            .append("queryDate", getQueryDate())
                .append("queryType", getQueryType())
                .append("queryCount", getQueryCount())
            .toString();
    }
}
